## org.eclipse.m2m.qvt.oml.debug.core.vm
Interface IQVTODebuggerShell

    public interface IQVTODebuggerShell

Method Summary
`VMBreakpointManager` `getBreakPointManager()`
`void` `handleVMEvent(VMEvent event)`
`VMRequest` `peekRequest()`
`VMRequest` `popRequest()`
`void` `sessionStarted(QVTODebugEvaluator evaluator)`
`VMRequest` `waitAndPopRequest(VMEvent suspend)`

Method Detail

### sessionStarted

    void sessionStarted(QVTODebugEvaluator evaluator)

### popRequest

    VMRequest popRequest()

### waitAndPopRequest

    VMRequest waitAndPopRequest(VMEvent suspend)
                                throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

### peekRequest

    VMRequest peekRequest()

### handleVMEvent

    void handleVMEvent(VMEvent event)

### getBreakPointManager

    VMBreakpointManager getBreakPointManager()

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.